Assignee: Miroslav Fidler % Done: 0%

Category: macOS Estimated time: 0.00 hour

Target version: Release 2020.1 Spent time: 0.00 hour

Description

Below is the list of warnings generated while compiling TheIDE:

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/IconDes/IconDes.h (135): warning:

'Upp::IconDes::MouseEnter' hides overloaded virtual function [-Woverloaded-virtual]

/Users/rebaczz/out/uppsrc/ide/IconDes/CLANG.Debug.Debug_Full.Gui.Shared/$blitz.cpp (3): In file included from

/Users/rebaczz/out/uppsrc/ide/IconDes/CLANG.Debug.Debug_Full.Gui.Shared/$blitz.cpp:3:

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/ide/IconDes/IconDes.cpp (1): In file included from

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/ide/IconDes/IconDes.cpp:1:

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/ide/IconDes/IconDes.h (5): In file included from

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/ide/IconDes/IconDes.h:5:

 (): virtual void  �M�ouseEnter()                             { SyncStatus(); }

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/CtrlCore.h (838): note: hidden overloaded

virtual function 'Upp::Ctrl::MouseEnter' declared here: different number of parameters (2 vs 0)

 (): virtual void   �M�ouseEnter(Point p, dword keyflags);

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/IconDes/IconDes.h (135): warning:

'Upp::IconDes::MouseEnter' hides overloaded virtual function [-Woverloaded-virtual]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]
/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlLib/FileSel.cpp (462): warning: unused variable

'isdrive' [-Wunused-variable]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlLib/FileSel.cpp (529): warning: unused variable

'isdrive' [-Wunused-variable]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlLib/ChCoco.cpp (97): warning: unused variable 'sz'

[-Wunused-variable]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/IconDes/IconDes.h (135): warning:

'Upp::IconDes::MouseEnter' hides overloaded virtual function [-Woverloaded-virtual]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/IconDes/IconDes.h (135): warning:

'Upp::IconDes::MouseEnter' hides overloaded virtual function [-Woverloaded-virtual]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/Draw/Raster.h (37): warning: private field 'amask' is

not used [-Wunused-private-field]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined
as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CtrlCore/Coco.h (107): warning: 'BackDraw__' defined

as a struct here but previously declared as a class [-Wmismatched-tags]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/IconDes/IconDes.h (135): warning:

'Upp::IconDes::MouseEnter' hides overloaded virtual function [-Woverloaded-virtual]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/ide/idewin.cpp (327): warning: unused variable 'l'

[-Wunused-variable]

We should fix it before release. We definitely don't want to scary users with warning on the library level ;)

History

#1 - 03/18/2019 11:58 AM - Zbigniew Rebacz

- Tracker changed from Bug to Task

#2 - 04/05/2019 07:20 PM - Miroslav Fidler

- Status changed from New to Ready for QA

#3 - 04/07/2019 10:05 PM - Zbigniew Rebacz

- Status changed from Ready for QA to In Progress

One more warning with Clang on GNU/Linux detected (with -Wall flag):

/home/klugier/upp/uppsrc/Draw/Cham.cpp (187): warning: explicitly assigning value of variable of type 'Upp::Image' to itself

[-Wself-assign-overloaded]

#4 - 04/11/2019 09:16 AM - Miroslav Fidler

- Status changed from In Progress to Ready for QA

#5 - 06/24/2019 01:28 AM - Zbigniew Rebacz

- Target version changed from Release 2019.1 to Release 2019.2

#6 - 11/01/2019 11:20 AM - Zbigniew Rebacz

- Target version changed from Release 2019.2 to Release 2020.1

#7 - 02/06/2020 10:29 AM - Miroslav Fidler

- Category changed from General to 28

#8 - 02/17/2020 05:32 PM - Miroslav Fidler

- Status changed from Ready for QA to Approved
